\documentclass[sigconf,screen]{acmart}
\usepackage{sosy-paper}

\setcopyright{rightsretained}
\copyrightyear{2022}
\acmYear{2022}
\acmConference[ICSE-AE 2022]{Artifact Evaluation of the 44th International Conference on Software Engineering}{}{}

  \title{Replication Artifact for paper `Decomposing Software Verification into Off-the-Shelf Components: An Application to CEGAR'}

  \author{Dirk Beyer}
  \email{dirk.beyer@sosy-lab.org}
  \affiliation{%
    \institution{LMU Munich}
    \city{Munich}
    \country{Germany}
    }

  \author{Jan Haltermann}
  \authornote{Corresponding author(s)}
  \email{jan.haltermann@uol.de}
    \affiliation{%
    \institution{Carl von Ossietzky University of Oldenburg}
    \city{Oldenburg}
    \country{Germany}
  }

  \author{Thomas Lemberger}
  \authornotemark[1]
    \email{thomas.lemberger@sosy.ifi.lmu.de}
    \affiliation{%
       \institution{ LMU Munich}
       \city{Munich}
       \country{Germany}
    }


    \author{Heike Wehrheim}
    \email{heike.wehrheim@uol.de}
    \affiliation{%
     \institution{Carl von Ossietzky University of Oldenburg}
     \city{Oldenburg}
     \country{Germany}
    }

  \renewcommand{\shortauthors}{D.~Beyer, J.~Haltermann, T.~Lemberger, and H.~Wehrheim}

\begin{document}
\begin{acronym}
  \acro{CEGAR}[CEGAR]{\textit{counterexample-guided abstraction refinement}}
  \acro{ccegar}[\textsc{\smaller C-CEGAR}]{component-based \acs{CEGAR}}
  \acro{CFA}[CFA]{\textit{control-flow automaton}}
  \acro{ARG}[ARG]{\textit{abstract reachability graph}}
  \acro{ABE}[ABE]{\textit{adjustable block encoding}}
  \acro{predcpa}[\textsc{\smaller Pred}]{\textit{default predicate abstraction}}
  \acro{mpredcpa}[\textsc{\smaller C-Pred}]{\textit{component-based predicate abstraction}}
  \acro{mpredcpaex}[\textsc{\smaller C-PredWit}]{\textit{component-based predicate abstraction, using existing exchange formats}}
\end{acronym}

\begin{abstract}
In this document, we describe the replication artifact for
the paper ``Decomposing Software Verification into Off-the-Shelf Components: An Application to CEGAR''.
\end{abstract}

\maketitle

\section{Overview}
The artifact backs all claims made in the corresponding paper.
We provide information to
(1)~obtain and install the artifact,
(2)~regenerate the figures presented in the paper,
and (3)~re-run our experiments on the benchmark set used in the paper.

To ease the reuse of our approach,
we also include a detailed explanation of our implementation
and examples on how to run different compositions of \acf{ccegar}.
The artifact will be published at Zenodo\footnote{ \url{https://doi.org/10.5281/zenodo.5301636}}.
All relevant information and instructions are given in the \texttt{README.html} within the artifact.



\section{Badges}
We apply for the following Badges:
\begin{itemize}
    \item Artifact Available
    \item Artifact Evaluated - Functional
    \item Artifact Evaluated - Reusable
\end{itemize}

\section{Technology Skills Assumed}
We do not assume any specific technology skills.
Experience in software verification is beneficial.


\section{Requirements}

\inlineheadingbf{Software}
We provide a virtual machine to ease the use of the artifact.
If you want to use the artifact without a virtual machine, Ubuntu 20.04 (amd64) is strongly recommended
(because of kernel features and included software dependencies),
and additional setup will be necessary.

\inlineheadingbf{Hardware}
Use of the artifact virtual machine requires a machine with at least 20\,GB of memory
and 6\,CPU cores.
Less memory and CPU cores will work, but may not produce comparable results.


\section{Installation}
All information on installing the artifact can be found in the document~\texttt{INSTALL.html}
within the artifact.

\end{document}
